package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-07-21
 */
public class UserVipInfoVo {

    /**
     * 对应user表用户编号
     */
    @ApiModelProperty("对应user表用户编号 ")
    private Long userId;

    /**
     * 会员等级
     */
    @ApiModelProperty("会员等级 ")
    private Long memberRankSettingId;
    /**
     * 有效期开始时间
     */
    @ApiModelProperty("有效期开始时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date membershipStartTime;
    /**
     * 有效期结束时间
     */
    @ApiModelProperty("有效期结束时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date membershipEndTime;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty("用户类型")
    private ClientEnum userType;

    private Date updateTime;

    public ClientEnum getUserType() {
        return userType;
    }

    public void setUserType(ClientEnum userType) {
        this.userType = userType;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getMemberRankSettingId() {
        return memberRankSettingId;
    }

    public void setMemberRankSettingId(Long memberRankSettingId) {
        this.memberRankSettingId = memberRankSettingId;
    }

    public Date getMembershipStartTime() {
        return membershipStartTime;
    }

    public void setMembershipStartTime(Date membershipStartTime) {
        this.membershipStartTime = membershipStartTime;
    }

    public Date getMembershipEndTime() {
        return membershipEndTime;
    }

    public void setMembershipEndTime(Date membershipEndTime) {
        this.membershipEndTime = membershipEndTime;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
